FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202104291943.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202104291943.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5e99875 OS_GIT_VERSION=4.5.0-202104291943.p0-5e99875 SOURCE_DATE_EPOCH=1607130895 SOURCE_GIT_COMMIT=5e998750a399ff38dec7eb9765f3e4a9b0e24c9b SOURCE_GIT_TAG=5e99875 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
WORKDIR /go/src/github.com/openshift/local-storage-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0-202104291540.p0
ENV __doozer=update BUILD_RELEASE=202104291943.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202104291943.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5e99875 OS_GIT_VERSION=4.5.0-202104291943.p0-5e99875 SOURCE_DATE_EPOCH=1607130895 SOURCE_GIT_COMMIT=5e998750a399ff38dec7eb9765f3e4a9b0e24c9b SOURCE_GIT_TAG=5e99875 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
COPY --from=builder /go/src/github.com/openshift/local-storage-operator/_output/bin/local-storage-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/local-storage-operator"]

LABEL \
        com.redhat.delivery.appregistry="False" \
        io.k8s.display-name="OpenShift local-storage-operator" \
        io.k8s.description="This is a component of OpenShift and manages local volumes." \
        maintainer="Hemant Kumar <hekumar@redhat.com>" \
        name="openshift/ose-local-storage-operator" \
        com.redhat.component="local-storage-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Local Storage Operator" \
        release="202104291943.p0" \
        io.openshift.build.commit.id="5e998750a399ff38dec7eb9765f3e4a9b0e24c9b" \
        io.openshift.build.source-location="https://github.com/openshift/local-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/local-storage-operator/commit/5e998750a399ff38dec7eb9765f3e4a9b0e24c9b" \
        version="v4.5.0"

